<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: ScintillatorTileDataStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ScintillatorTileDataStorage Class Reference</h1><!-- doxytag: class="ScintillatorTileDataStorage" -->
<p>a class to save the data which was taken by the sensitive detector  
</p>

<p><a href="classScintillatorTileDataStorage-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a2b51d4c466fd61dbfc227da302d9f6dd">ScintillatorTileDataStorage</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a5393dd8927d6804b1e553819ec8b85f5">~ScintillatorTileDataStorage</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a25921772c6884e2e5208fbfa539d5f57">AddToEnergyLoss</a> (G4double delta_E)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a940a4df210c413e07372786c8f5ade7f">GetEnergyLoss</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#af8f9a11f624acd9ff2998090019669af">GetGlobalHitTime</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#ac6392b067313b67ec38e9e1ec240e785">GetHitMomentum</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a5253e127d40bbbb6434e5cfd02b375e3">GetHitPoint</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#ae7b8b3a784181f1c7a06ac12e63b5e29">SetDefaults</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a9c955544b59b5539f53e72b1a685f29a">SetGlobalHitTime</a> (G4double hitTime)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a553ce4a692da6f4a3fb771a76a0fca28">SetHitMomentum</a> (G4ThreeVector hitmomentum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileDataStorage.html#a7f5e9c137cd14223b10497911f07ac4b">SetHitPoint</a> (G4ThreeVector hitPoint)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2b51d4c466fd61dbfc227da302d9f6dd"></a><!-- doxytag: member="ScintillatorTileDataStorage::ScintillatorTileDataStorage" ref="a2b51d4c466fd61dbfc227da302d9f6dd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ScintillatorTileDataStorage::ScintillatorTileDataStorage </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>

</div>
</div>
<a class="anchor" id="a5393dd8927d6804b1e553819ec8b85f5"></a><!-- doxytag: member="ScintillatorTileDataStorage::~ScintillatorTileDataStorage" ref="a5393dd8927d6804b1e553819ec8b85f5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ScintillatorTileDataStorage::~ScintillatorTileDataStorage </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a25921772c6884e2e5208fbfa539d5f57"></a><!-- doxytag: member="ScintillatorTileDataStorage::AddToEnergyLoss" ref="a25921772c6884e2e5208fbfa539d5f57" args="(G4double delta_E)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileDataStorage::AddToEnergyLoss </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>delta_E</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to add up the energy deposit within the sensitive detector. </p>

</div>
</div>
<a class="anchor" id="a940a4df210c413e07372786c8f5ade7f"></a><!-- doxytag: member="ScintillatorTileDataStorage::GetEnergyLoss" ref="a940a4df210c413e07372786c8f5ade7f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double ScintillatorTileDataStorage::GetEnergyLoss </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>summed up energy deposit within the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="af8f9a11f624acd9ff2998090019669af"></a><!-- doxytag: member="ScintillatorTileDataStorage::GetGlobalHitTime" ref="af8f9a11f624acd9ff2998090019669af" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double ScintillatorTileDataStorage::GetGlobalHitTime </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>time of the sensitive detector's hit </dd></dl>

</div>
</div>
<a class="anchor" id="ac6392b067313b67ec38e9e1ec240e785"></a><!-- doxytag: member="ScintillatorTileDataStorage::GetHitMomentum" ref="ac6392b067313b67ec38e9e1ec240e785" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector ScintillatorTileDataStorage::GetHitMomentum </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>particle's momentum when hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="a5253e127d40bbbb6434e5cfd02b375e3"></a><!-- doxytag: member="ScintillatorTileDataStorage::GetHitPoint" ref="a5253e127d40bbbb6434e5cfd02b375e3" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector ScintillatorTileDataStorage::GetHitPoint </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>position of the sensitive detector's hit </dd></dl>

</div>
</div>
<a class="anchor" id="ae7b8b3a784181f1c7a06ac12e63b5e29"></a><!-- doxytag: member="ScintillatorTileDataStorage::SetDefaults" ref="ae7b8b3a784181f1c7a06ac12e63b5e29" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileDataStorage::SetDefaults </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the class variables to default values: </p>

<p><ul>
<li>position of the sensitive detector's hit <div class="fragment"><pre class="fragment"> HitPoint = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>particle's momentum when hitting the sensitive detector <div class="fragment"><pre class="fragment"> HitMomentum = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>time of the sensitive detector's hit <div class="fragment"><pre class="fragment"> HitTime = NAN; 
</pre></div></li>
</ul>
<ul>
<li>sum of the energy deposit within the sensitive detector <div class="fragment"><pre class="fragment"> EnergyLoss = 0.0; 
</pre></div> </li>
</ul>
</p>

</div>
</div>
<a class="anchor" id="a9c955544b59b5539f53e72b1a685f29a"></a><!-- doxytag: member="ScintillatorTileDataStorage::SetGlobalHitTime" ref="a9c955544b59b5539f53e72b1a685f29a" args="(G4double hitTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileDataStorage::SetGlobalHitTime </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>hitTime</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the time when the sensitive detector was hit. </p>

</div>
</div>
<a class="anchor" id="a553ce4a692da6f4a3fb771a76a0fca28"></a><!-- doxytag: member="ScintillatorTileDataStorage::SetHitMomentum" ref="a553ce4a692da6f4a3fb771a76a0fca28" args="(G4ThreeVector hitmomentum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileDataStorage::SetHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitmomentum</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the particle's momentum when hitting the sensitive detector. </p>

</div>
</div>
<a class="anchor" id="a7f5e9c137cd14223b10497911f07ac4b"></a><!-- doxytag: member="ScintillatorTileDataStorage::SetHitPoint" ref="a7f5e9c137cd14223b10497911f07ac4b" args="(G4ThreeVector hitPoint)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileDataStorage::SetHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitPoint</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the position in which the sensitive detector's hit. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
